Skip to content
Athena User Guide
Esc
↑↓navigate↵open⌘Jpreview

Store the signed verification token and Open Badge

POST/api/admin/certificates/artifacts
Request body
requiredapplication/json
credentialsobject[]required
Show properties
Array of object
idstringrequired
min length 1
verifyTokenstringrequired
min length 1
openBadgestringrequired
min length 1
Responses
200

Success

storednumberrequired
401

Unauthorized

errorstringrequired
403

Forbidden

errorstringrequired
422

Validation failed

typestringrequired
onstringrequired
summarystring
messagestring
foundany
propertystring
expectedstring
500

Unhandled server error

errorstringrequired
Try it
Server
Bodyapplication/json
Request
curl -X POST '/api/admin/certificates/artifacts' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "credentials": [
    {
      "id": "string",
      "verifyToken": "string",
      "openBadge": "string"
    }
  ]
}'
Response
{
  "stored": 0
}